#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCE,0xCD,0xA1,0xC3,0x32,0x81,0x9B,0x09,0x60,0xC0,0xD6,0xAB,
		0x51,0x04,0xE1,0xD6,0x20,0x04,0xF3,0x0F,0x40,0x5F,0x7F,0x66,
		0xAC,0x18,0x94,0xCD,0xBB,0x5D,0x74,0x77,0x2A,0x92,0xB3,0xC5,
		0x1B,0x3B,0x1D,0xFB,0x2F,0x00,0x9C,0xA7,0xBE,0x27,0xAA,0xFA,
		0xB4,0x6C,0x4B,0x67,0xAB,0xC8,0x37,0x46,0xD5,0x5F,0xDF,0x60,
		0x56,0x94,0x01,0xF3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
